Loading...
Searching...
No Matches
_addrxlat_ctx Struct Reference

Representation of address translation. More...

`#include <addrxlat-priv.h>`

## Data Fields

unsigned long | refcnt
| Reference counter.
struct { |
int notpresent: 1 |
| Skip error reporting of non-present pages.
} | noerr |
| Events with no eror reporting.
const addrxlat_cb_t * | cb
| Currently active callback definitions.
addrxlat_cb_t | def_cb
| Default callback definitions.
struct inflight * | inflight
| In-flight translations.
struct read_cache | cache
| Read cache.
kdump_errmsg_t | err
| Error message buffer.

## Detailed Description

Representation of address translation.

This structure contains all internal state needed to perform address translation.

## Field Documentation

## err

kdump_errmsg_t _addrxlat_ctx::err

Error message buffer.

This must be the last member.

The documentation for this struct was generated from the following file:

- src/addrxlat/addrxlat-priv.h